Subject: bug#30728: guix-install.sh doesn't work if run with "sudo"

From: Clément Lassieur <[email-masked]>
Date: Tue, 27 Mar 2018 11:11:36 +0200

Ricardo Wurmus <[email-masked]> writes:

> Clément Lassieur <[email-masked]> writes:
>
>>> The manual says (see: (guix) Binary Installation):
>>>
>>>   3. Make ‘root’’s profile available under ‘~/.guix-profile’:
>>>
>>>           # ln -sf /var/guix/profiles/per-user/root/guix-profile \
>>>                    ~root/.guix-profile
>>
>> I think the manual is wrong here.  This only makes sense if the user is
>> 'root'.  Otherwise, the user would expect Guix to be installed in their
>> home, not in root's home.
>
> Step 2 says “As root, run: […]”.  “~root” resolves to “/root”, not to
> “$HOME/root”, so it even works when run as a regular user.
>
> The manual seems correct to me and this is what the script aims to
> implement.

But ~/.guix-profile may resolve to /home/user/.guix-profile.  So it
should be ~root/.guix-profile instead of ~/.guix-profile.